### Method

# GLib Queue remove

since: 2.4

#### Declaration

    gboolean
    g_queue_remove (
      GQueue* queue,
      gconstpointer data
    )

#### Description

Removes the first element in `queue` that contains `data`.

Available since: 2.4

#### Parameters

`data`

  Type: `gconstpointer`

  The data to remove.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `data` was found and removed from `queue`.